# gpiointerrupt.c File Reference

General Purpose IO (GPIO) interrupt dispatcher. More...

`#include "em_gpio.h"`
`#include "em_int.h"`
`#include "gpiointerrupt.h"`
`#include "em_assert.h"`
Include dependency graph for gpiointerrupt.c:

Go to the source code of this file.

## Functions
void | GPIOINT_Init (void)
| Initialization of GPIOINT module.
void | GPIOINT_CallbackRegister (uint8_t pin, GPIOINT_IrqCallbackPtr_t callbackPtr)
| Registers user callback for given pin number.

## Detailed Description

General Purpose IO (GPIO) interrupt dispatcher.

Author:
  Energy Micro AS

Version:
  3.20.2

## License

(C) Copyright 2013 Energy Micro AS, http://www.energymicro.com

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. 2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software. 3. This notice may not be removed or altered from any source distribution. 4. The source and compiled code may only be used on Energy Micro "EFM32" microcontrollers and "EFR4" radios.

DISCLAIMER OF WARRANTY/LIMITATION OF REMEDIES: Energy Micro AS has no obligation to support this Software. Energy Micro AS is providing the Software "AS IS", with no express or implied warranties of any kind, including, but not limited to, any implied warranties of merchantability or fitness for any particular purpose or warranties against infringement of any proprietary rights of a third party.

Energy Micro AS will not be liable for any consequential, incidental, or special damages, or any other relief, or for any claim by any third party, arising from your use of this Software.

Definition in file gpiointerrupt.c.